# Create Voice Model API | Fish Audio

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-fish-audio-voice-cloning

# Fish Audio Voice Cloning

POST

/

v4beta

/

model

Try it

Fish Audio Voice Cloning

cURL

```
curl --request POST \
--url https://api.novita.ai/v4beta/model \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"type": {},
"title": "&#x3C;string>",
"train_mode": {},
"voices": [
null
],
"visibility": {},
"description": {},
"cover_image": {},
"texts": [
"&#x3C;string>"
],
"tags": [
"&#x3C;string>"
],
"enhance_audio_quality": true
}
'
```

```
import requestsurl = "https://api.novita.ai/v4beta/model"payload = { "type": {}, "title": "&#x3C;string>", "train_mode": {}, "voices": [None], "visibility": {}, "description": {}, "cover_image": {}, "texts": ["&#x3C;string>"], "tags": ["&#x3C;string>"], "enhance_audio_quality": True}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ type: {}, title: '&#x3C;string>', train_mode: {}, voices: [null], visibility: {}, description: {}, cover_image: {}, texts: ['&#x3C;string>'], tags: ['&#x3C;string>'], enhance_audio_quality: true })};fetch('https://api.novita.ai/v4beta/model', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v4beta/model", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'type' => [ ], 'title' => '&#x3C;string>', 'train_mode' => [ ], 'voices' => [ null ], 'visibility' => [ ], 'description' => [ ], 'cover_image' => [ ], 'texts' => [ '&#x3C;string>' ], 'tags' => [ '&#x3C;string>' ], 'enhance_audio_quality' => true ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v4beta/model"	payload := strings.NewReader("{\n \"type\": {},\n \"title\": \"&#x3C;string>\",\n \"train_mode\": {},\n \"voices\": [\n null\n ],\n \"visibility\": {},\n \"description\": {},\n \"cover_image\": {},\n \"texts\": [\n \"&#x3C;string>\"\n ],\n \"tags\": [\n \"&#x3C;string>\"\n ],\n \"enhance_audio_quality\": true\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v4beta/model") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"type\": {},\n \"title\": \"&#x3C;string>\",\n \"train_mode\": {},\n \"voices\": [\n null\n ],\n \"visibility\": {},\n \"description\": {},\n \"cover_image\": {},\n \"texts\": [\n \"&#x3C;string>\"\n ],\n \"tags\": [\n \"&#x3C;string>\"\n ],\n \"enhance_audio_quality\": true\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v4beta/model")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"type\": {},\n \"title\": \"&#x3C;string>\",\n \"train_mode\": {},\n \"voices\": [\n null\n ],\n \"visibility\": {},\n \"description\": {},\n \"cover_image\": {},\n \"texts\": [\n \"&#x3C;string>\"\n ],\n \"tags\": [\n \"&#x3C;string>\"\n ],\n \"enhance_audio_quality\": true\n}"response = http.request(request)puts response.read_body
```

200

```
{
"_id": "&#x3C;string>",
"type": {},
"title": "&#x3C;string>",
"description": "&#x3C;string>",
"cover_image": "&#x3C;string>",
"state": {},
"tags": [
"&#x3C;string>"
],
"created_at": {},
"updated_at": {},
"visibility": {},
"like_count": 123,
"mark_count": 123,
"shared_count": 123,
"task_count": 123,
"author": {
"_id": "&#x3C;string>",
"nickname": "&#x3C;string>",
"avatar": "&#x3C;string>"
},
"train_mode": {},
"samples": [
{
"title": "&#x3C;string>",
"text": "&#x3C;string>",
"task_id": "&#x3C;string>",
"audio": "&#x3C;string>"
}
],
"languages": [
"&#x3C;string>"
],
"lock_visibility": true,
"unliked": true,
"liked": true,
"marked": true
}
```

Fish Audio API for creating a voice model (voice cloning).

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-type)

type

enum<string>

required

Model type, tts is for text to speech.Available options: `tts`Allowed value: `"tts"`

[​](#param-title)

title

string

required

Model title or name.

[​](#param-train-mode)

train_mode

enum<string>

required

Model train mode, for TTS model, fast means model instantly available after creation.Available options: `fast`Allowed value: `"fast"`

[​](#param-voices)

voices

file[]

required

Upload voices files that will be used to tune the model.

[​](#param-visibility)

visibility

enum<string>

default:"public"

Model visibility, public will be shown in the discovery page, unlist allows anyone with the link to access, private only be visible to the creator.Available options: `public`, `unlist`, `private`

[​](#param-description)

description

string | null

Model description.

[​](#param-cover-image)

cover_image

file | null

Model cover image, this is required if the model is public.

[​](#param-texts)

texts

string[]

Texts corresponding to the voices, if unspecified, ASR will be performed on the voices.

[​](#param-tags)

tags

string[]

Model tags.

[​](#param-enhance-audio-quality)

enhance_audio_quality

boolean

default:false

Enhance audio quality.

##

[​](#response)

Response

[​](#param-id)

_id

string

required

Unique identifier for the created model.

[​](#param-type-1)

type

enum<string>

required

Model type.Available options: `svc`, `tts`

[​](#param-title-1)

title

string

required

Model title or name.

[​](#param-description-1)

description

string

required

Model description.

[​](#param-cover-image-1)

cover_image

string

required

URL of the model cover image.

[​](#param-state)

state

enum<string>

required

Current state of the model.Available options: `created`, `training`, `trained`, `failed`

[​](#param-tags-1)

tags

string[]

required

Model tags.

[​](#param-created-at)

created_at

string<date-time>

required

Timestamp when the model was created.

[​](#param-updated-at)

updated_at

string<date-time>

required

Timestamp when the model was last updated.

[​](#param-visibility-1)

visibility

enum<string>

required

Model visibility setting.Available options: `public`, `unlist`, `private`

[​](#param-like-count)

like_count

integer

required

Number of likes the model has received.

[​](#param-mark-count)

mark_count

integer

required

Number of marks/bookmarks the model has received.

[​](#param-shared-count)

shared_count

integer

required

Number of times the model has been shared.

[​](#param-task-count)

task_count

integer

required

Number of tasks associated with the model.

[​](#param-author)

author

AuthorEntity · object

required

Information about the model author.

Show properties

[​](#param-id-1)

_id

string

required

Author’s unique identifier.

[​](#param-nickname)

nickname

string

required

Author’s nickname.

[​](#param-avatar)

avatar

string

required

URL of the author’s avatar image.

[​](#param-train-mode-1)

train_mode

enum<string>

default:"full"

Training mode used for the model.Available options: `fast`, `full`

[​](#param-samples)

samples

SampleEntity · object[]

Sample data associated with the model.

Show properties

[​](#param-title-2)

title

string

required

Sample title.

[​](#param-text)

text

string

required

Text content of the sample.

[​](#param-task-id)

task_id

string

required

Task identifier for the sample.

[​](#param-audio)

audio

string

required

URL of the sample audio file.

[​](#param-languages)

languages

string[]

Languages supported by the model.

[​](#param-lock-visibility)

lock_visibility

boolean

default:false

Whether the visibility setting is locked.

[​](#param-unliked)

unliked

boolean

default:false

Whether the current user has unliked the model.

[​](#param-liked)

liked

boolean

default:false

Whether the current user has liked the model.

[​](#param-marked)

marked

boolean

default:false

Whether the current user has marked/bookmarked the model.

Last modified on May 6, 2026
